<?php
/*
 *********************************************************************
 * File          : $RCSfile: lib_print_ajem.php,v $
 * Version	: $Revision: 1.15 $
 * Modified by	: $Author: jb $ ($Date: 2005/04/17 16:44:32 $)
 *********************************************************************
 */
// On a besoin du fichier de configuration g�n�ral du site
require("./Scripts/conf.php");
require ("./Scripts/PenseeDuChef.php");




function print_editorial()
{
   global $racine;

   /* On creer un objet  Cadre pour l'�dito */
   $pMonCadre = new CadreBD("news");
   $pMonCadre->setTitre("News");
   $pMonCadre->affiche_CadreHaut(true);
   $donneeCadre = $pMonCadre->GetDataDB();
   
   echo "<table cellspacing=\"0\" cellpadding=\"1\"  border=\"0\">\n";
   for ($cpt = 0; $cpt < 3; $cpt++) {
      /* On recupere les donn�es */
      $RESnouvelle = mysql_result($donneeCadre, $cpt, "nouvelle");
      $RESdate = mysql_result($donneeCadre, $cpt, "date");
      if  ($RESnouvelle != "") {
         echo "<tr>\n";
         echo "<td valign=\"middle\" align=\"center\" width=\"10%\" >\n
                <img src=\"$racine/Imgs/icon_puce_over.gif\" border=\"0\" 
                     alt=\"*\" />
               </td>\n
               <td class=\"news\">\n";
         echo "<b>$RESdate</b> : $RESnouvelle\n </td> </tr>";
      }
   }
   echo "</table><br/>\n";
   $pMonCadre->affiche_CadreBas(true);

   /* On creer un objet  Cadre pour l'�dito */
   $pMonCadre = new CadreBD("cadre_edito");
   $pMonCadre->Affiche();
}

function print_histoire()
{
   /* On creer un objet  Cadre de type fichier */
   $pMonCadre = new CadreBD("cadre_Historique") ;
   $pMonCadre->Affiche();
}


function print_Recrutement($num)
{
   $pMonCadre = new CadreBD("cadre_Recrutement", $num);
   $pMonCadre->Affiche();
}

function print_Liens()
{
   $pMonCadre = new Cadre("Liens", "", "");
   $pMonCadre->affiche_CadreHaut(true);
   
   print_typeLien(1, "Orchestres d'Harmonie");
   print_typeLien(2, "Sites sur la musique");
   print_typeLien(3, "Autour de Montpellier");
   $pMonCadre->affiche_CadreBas(true);
}

function print_typeLien($idlien, $szNomLien)
{
   // Les variables locales
   global $sql_bdd;
   global $table_liens;
   global $racine;
   // Fin des variables locales
   
   /* On se connecte sur la base */
   $connect_db = jb_sql_connect(false);
   
   CreerTitre($szNomLien);
   echo "<center><table  width=\"95%\" border=0>";
   
   $resultat = mysql_db_query($sql_bdd, "select * from $table_liens where".
                              " type='$idlien'", $connect_db);
   
   while ($row = mysql_fetch_row($resultat)) {
      echo"<tr bgcolor=\"#DDDDDD\">\n";
      echo "<td width=80% align=center>
              <a href=\"$racine/Scripts/redirect.php?id=$row[0]\" ".
         "target='_blank' > <font size=-1>$row[1]</font></a>  </td>\n";
      echo "<td> ($row[3] hits) </td></tr>\n";
      echo "<tr bgcolor=\"#CCCCCC\">\n";
      echo "<td >$row[4] </td><td>&nbsp;</td></tr>\n";
   }
   
   echo "</table> </center><br><br>";
}

function print_Musique_enLigne()
{
   global $racine;
   
   include ("./Scripts/Annuaire.php");
   $pMonCadre = new Cadre("Musique en Ligne", "", "");
   $pMesDownload = new AnnuDownload("download","AdmDownload", "");
   $pMonCadre->affiche_CadreHaut(true);
   
   $intro = "<p class=\"cadre\">
                pour �couter les morceaux aux formats <b>mp3</b>,  
                vous pouvez  utiliser  le logiciel suivant :
                <center><a href=\"http://www.winamp.com\" target=outside>
                <img src=\"$racine/Imgs/winampbutton.gif\" width=\"88\" ".
                "height=\"31\" border=0></a>
             </center></p><br>\n";
   $pMesDownload->AfficheDownload($intro);
   $pMonCadre->affiche_CadreBas(true);
}

function print_info_concerts($opt, $id)
{
   $date_maintenant =  time() ;
   
   $pMonCadre = new Cadre("Agenda de l'Orchestre", "", "");
   $pMonCadre->affiche_CadreHaut(true);
   
   if ($opt == "ancien")
      print_concert("-", $date_maintenant, $id);
   else
      print_concert("+", $date_maintenant, $id);
   
   $pMonCadre->affiche_CadreBas(true);
}

function print_concert($type, $date, $idconcert)
{
   // Les variables locales
   global $sql_bdd;
   global $table_agenda;
   // Fin des variables locales
   
   $monthsArray = array("janvier", "f�vrier", "mars", "avril", "mai", "juin", 
                        "juillet", "ao�t", "septembre", "octobre", "novembre",
                        "d�cembre");
   $daysArray=array("Dimanche", "Lundi", "Mardi", "Mercredi", "Jeudi",
                    "Vendredi", "Samedi");
   
   if ($idconcert == "")
   {
      $connect_db = jb_sql_connect(false);
      
      if ($type == "+") {
         $resultat = mysql_db_query($sql_bdd, "select * from $table_agenda ".
                                    "order by  date_php", $connect_db);
         echo "<center> [ <a href=$page_index?page=info_concerts&opt=ancien>".
            " Voir les anciens concerts et leurs commentaires</a> ] 
               </center><br><br>";
      }
      else {
         $resultat = mysql_db_query($sql_bdd,"select * from $table_agenda ".
                                    "order by date_php desc",$connect_db);
         echo "<center> [ <a href=$page_index?page=info_concerts>  
               Retour aux prochains concerts </a> ] </center><br><br>";
      }
      
      $btrouve = 0;
      
      while ($row = mysql_fetch_row($resultat)) {
         $datephp =  $row[2];

         /* On affiche les futurs concerts. */
         if ((($type == "+") && ($datephp >= $date)) ||
             (($type == "-") && ($datephp <= $date))) {
            
            $id = $row[0];
            $szheure = $row[3];
            $szVille = $row[4];
            $szLieu = $row[5];
            $liste_morceaux = $row[6];
            $commentaire = $row[7];
            
            $dateConcert = getdate($datephp);
            $jour = $daysArray[$dateConcert["wday"]];
            $NumJour = $dateConcert["mday"];
            $mois = $monthsArray[$dateConcert["mon"]-1];
            $annee = $dateConcert["year"];
            echo"<center>\n";
            CreerPubConcert($jour, $NumJour, $mois, $annee, $szVille, $szLieu, 
                            $szheure, $commentaire, $id, $liste_morceaux);
            echo"</center><br><br>\n";
            $btrouve = 1;
         }
      }
      if ($btrouve == 0)
         echo "<br><br><center> Il n'y a aucun Concert de planifi� pour". 
            " le moment.
              </center><br>";
      
   }
   else {
      /* Si ON souhaite avoirt des infos sur un concert particulier */
      $connect_db = jb_sql_connect(false);

      $resultat = mysql_db_query($sql_bdd, "select * from $table_agenda where".
                                 " id=$idconcert", $connect_db);
      
      $szheure = mysql_result($resultat, 0, "heure_deb");
      $szVille = mysql_result($resultat, 0, "ville");
      $szLieu = mysql_result($resultat, 0, "lieu");
      $liste_morceaux = mysql_result($resultat, 0, "liste_morceaux");
      $commentaire = mysql_result($resultat, 0, "commentaire");
      $datephp = mysql_result($resultat, 0, "date_php");
      
      $dateConcert = getdate($datephp);
      $jour = $daysArray[$dateConcert["wday"]];
      $NumJour = $dateConcert["mday"];
      $mois = $monthsArray[$dateConcert["mon"]-1];
      $annee = $dateConcert["year"];
      
      echo "<center>";
      CreerTitre("$szVille - $szLieu");
      echo "</center><br><br>";
      
      echo "<center><table border=0 width=\"95%\">
              <tr bgcolor=\"#DDDDDD\"><td align=center> Le $jour $NumJour".
           " $mois $annee � $szheure </td>
           </tr></table><br><br>";
      
      echo "<center><table border=0 width=\"95%\">
            <tr bgcolor=\"#CCCCCC\"><td > $commentaire </td>
            </tr></table><br><br>";

      CreerListeMorceau($liste_morceaux);
   }
}

function print_repertoire($style)
{
   if ($style == "") {
      $pMonCadre = new CadreBD("cadre_Repertoire");
      $pMonCadre->affiche_CadreHaut(true);
      echo "$pMonCadre->szTabTexte";
      echo "<ul>\n";
      echo "<li><a href=$page_index?page=repertoire&opt=6 >
            Musique originale pour Orchestre d'Harmonie </a></li>\n";
      echo "<li><a href=$page_index?page=repertoire&opt=5 > Musique Classique".
         "  </a></li>\n";
      echo "<li><a href=$page_index?page=repertoire&opt=4 >  Musique de Film,".
         "Com�die Musicale et Rock Opera </a></li>\n";
      echo "<li><a href=$page_index?page=repertoire&opt=3 >". 
         " Danses et Musiques".
         " Traditionnelles  </a></li>\n";
      echo "<li><a href=$page_index?page=repertoire&opt=2 >". 
         " Vari�t�s Fran�aises".
         " et Internationales </a></li>\n";
      echo "<li><a href=$page_index?page=repertoire&opt=1 > ". 
         "Middle Jazz </a></li>\n";
      echo "</ul><br><br>\n";
   }
   else {
      $pMonCadre = new Cadre("R�pertoire", "", "");
      $pMonCadre->affiche_CadreHaut(true);
      switch ($style) {
         case "6" :
            echo "<center>\n";
            CreerTitre("Musique originale pour Orchestre d'Harmonie");
            echo "</center><br><br>\n";
            CreerCadreMorceau("Suites", 10);
            CreerCadreMorceau("Marches et Polkas", 11);
            CreerCadreMorceau("Pi�ces calmes", 12);
            break;
         case "3" :
            echo "<center>\n";
            CreerTitre("Danses et Musiques Traditionnelles");
            echo "</center><br><br>\n";
            CreerCadreMorceau("Pasos-dobles et Tangos", 20);
            CreerCadreMorceau("Rythmes Latins", 21);
            CreerCadreMorceau("Chansons du monde", 22);
            break;
         case "1" :
            CreerCadreMorceau("Middle Jazz", $style);
            break;
         case "2" :
            CreerCadreMorceau("Vari�t�s Fran�aises et Internationales", 
                              $style);
            break;
         case "4" :
            CreerCadreMorceau("Musique de Film, Com�die Musicale et Rock".
                              " Opera", $style);
            break;
         case "5" :
            CreerCadreMorceau("Musique Classique", $style);
            break;
      }
      echo "<center><a href=$page_index?page=repertoire>< Retour > 
            </a></center><br><br> \n";
   }
   $pMonCadre->affiche_CadreBas(true);
}

function CreerListeMorceau($liste_morceaux)
{
   // Les variables locales
   global $sql_bdd;
   global $table_repertoire;
   // Fin des variables locales
   
   $tablo = explode(";", $liste_morceaux);
   $cpt = 0;
   
   foreach ($tablo as $elem) {
         $tab_list_select[$cpt] = $elem;
         $cpt++;
   }

   /* On se connecte sur la base */
   $connect_db = jb_sql_connect(false);
   $resultat = mysql_db_query($sql_bdd, "select * from  $table_repertoire ".
                              "order by id", $connect_db);
   
   /* Puis on creer un tableau comtenant la totalit� des morceaux */
   $indTab = 1;
   while($row = mysql_fetch_array($resultat))
   {
      $col_id = $row[0];
      $col_nom = $row[2];
      $col_compo = $row[3];

      if ($indTab != $col_id) {
  //       print "<br>---- on augmente <br>";
         for ($i = $indTab; $i < $col_id; $i++) {
//            print "<br>---- on augmente <br>";
            $tab_Morceau[] = array ($i, "0", "0");
         }
         $indTab = $col_id;
      }
      
      $tab_Morceau[] = array ($col_id, $col_nom, $col_compo);
      $indTab++;
   }
   
   echo "<center><table border=0 width=\"95%\">
           <tr>
             <th bgcolor=\"#d5dee6\">  num </th>
             <th bgcolor=\"#d5dee6\"> Nom </th>
             <th bgcolor=\"#d5dee6\" >Compositeur</th>
           </tr>\n";
   

   for ($i = 0; $i < $cpt; $i++) {
      $indice =  $tab_list_select[$i];
      $indice--;

      list ($list_id, $list_nomMorceau, $list_compo) = $tab_Morceau[$indice];
      if (($i % 2) == 0)
         echo "<tr bgcolor=\"#DDDDDD\">\n";
      else
         echo "<tr bgcolor=\"#CCCCCC\">\n";
      echo "<td>".($i + 1)."</td>\n";
      echo "<td> $list_nomMorceau </td>\n";
      echo "<td> $list_compo </td></tr>\n";
   }
   echo "</table> </center><br><br>";
}

function CreerCadreMorceau($titre, $style)
{
   // Les variables locales
   global $sql_bdd;
   global $table_repertoire;
   global $page_index;
   // Fin des variables locales
   
   CreerTitre($titre);
   $connect_db = jb_sql_connect(false);
   $resultat = mysql_db_query($sql_bdd, "select * from $table_repertoire".
                              " where style=$style order by numero",
                              $connect_db);
   echo "<center><table border=0 width=\"95%\">
           <tr>
              <th bgcolor=\"#d5dee6\">  Nom </th>
              <th bgcolor=\"#d5dee6\"> Compositeur </th>
           </tr>\n";
   while ($row = mysql_fetch_row($resultat)) {
      if (($i % 2) == 0)
         echo "<tr bgcolor=\"#DDDDDD\">\n";
      else
         echo "<tr bgcolor=\"#CCCCCC\">\n";
      echo "<td>$row[2] </td>\n";
      echo "<td>$row[3] </td> </tr>\n";
      $i++;
   }
   
   MYSQL_CLOSE;
   echo "</table></center><br><br><br>\n";
   
}

function CreerTitre($titre)
{
   echo "<table width=\"50%\" bgcolor=\"#5a69a4\" cellpadding=\"0\" ".
      " cellspacing=\"0\" border=\"0\"><tr><td>
       <table width=\"100%\" cellpadding=\"3\" cellspacing=\"2\" border=\"0\" >
         <tr>
           <td bgcolor=\"#5b8cc1\" align=\"left\">
              <font  color=\"white\" size=\"2\">
              <b> $titre </b></font><br></td>
       </tr></table></td></tr></table><br>\n";
}

function CreerPubConcert($jour, $NumJour, $mois, $annee, $ville, $lieu,
                         $heure, $commentaire, $id, $liste_morceaux)
{
   global $page_index;
   
   echo "
         <table border=1 width=\"65%\">\n<tr align=left>\n
            <td align='left' valign='middle' bgcolor='#FFFF00'>
             <table border='0'>\n<tr>\n
                 <td align='center' valign='middle' bgcolor='#000000'>
                    <font color='#F5E9CF'><b><font face='Arial, Helvetica, 
                          sans-serif' color='#FFFF00'>$jour<br>
                    <font size='6'>$NumJour</font><br>$mois <br>$annee</font>
                    </b></font>\n </td>
                 <td align='center' valign='middle'>\n<p><b>
                    <font size='+1'>O.H.M.J.</font></b><br>
                      EN CONCERT<br>  &agrave; <b><font size='+2'>$ville</font>
                    </b></p>\n<p>
                $lieu - $heure \n</p> \n	</td>\n 	</tr> \n	
               </table> \n</tr> \n";

   if ($commentaire != "")
      echo "<tr><td bgcolor=\"#DDDDDD\" ><font size=-1>$commentaire
                </font></td></tr>\n";
   if ($liste_morceaux != "")
      echo "<tr><td align=center bgcolor=\"#CCCCCC\" >
                   <a href=$page_index?page=".
         "info_concerts&id=$id>  Voir la liste des morceaux jou�s </a>
         </td></tr>\n";
   echo "</table>\n";
}

function print_fonctionement()
{
   $pMonCadre = new CadreBD("cadre_Fonctionnement");
   $pMonCadre->Affiche();
   echo "<br><br>\n";
   // puis un deuxieme cadre pour les goupilleurs
   $pMonCadre2 = new CadreFichier("realteam.neodoc");
   $pMonCadre2->Affiche(1);
   AfficheVersionDuSite();
   $pMonCadre2->affiche_CadreBas(true);
}

function print_contacts()
{
   /* On creer un objet  Cadre */
   $pMonCadre = new CadreBD("cadre_Contacts");
   $pMonCadre->Affiche();
}

function print_repetition()
{
   /* Cadre1: Ou se trouve Jacou par rapport a Montpellier. */
   $pCadreJacou = new Cadre("<center>O&ugrave; se trouve Jacou par ".
                            "rapport &agrave; Montpellier</center>",
                            "" , date ("d/m/Y "));
   $pCadreJacou->affiche_CadreHaut(true);
   
   echo "<center><img src=\"http://ohmj2.free.fr/legacy/Imgs/".
        "JacouMontpellier.png ".
        "\"alt=\"Jacou / Montpellier\"></center>\n";
   
   $pCadreJacou->affiche_CadreBas(true);
   
   /* Cadre2: Ou se trouve La salle de repetition. */
   $pCadreSallePrevert = new Cadre("<center>O&ugrave; se trouve la salle de ".
                            "r&eacute;p&eacute;tition  &agrave; Jacou</center>",
                            "" , date ("d/m/Y "));
   $pCadreSallePrevert->affiche_CadreHaut(true);
   
   echo "<center><img src=\"http://ohmj2.free.fr/legacy/Imgs/".
        "SalleRepetition.png ".
        "\"alt=\"Salle de Repetition\"></center>\n";
   
   $pCadreSallePrevert->affiche_CadreBas(true);
}

function print_presse($numArcticle)
{
   /* On regarde sin on doit afficher un article en particulier */
   if ($numArcticle == 1)
      $pMonCadre = new CadrePresse("ML-01-12-1998", "MIDI LIBRE", 
                                   "01/12/1998");
   else if ($numArcticle == 2)
      $pMonCadre = new CadrePresse("Echo-Mayre-01-2000",
                                   "L'Echo de la Mayre", 
                                   "Janvier, F�vrier, mars 2000");
   else if ($numArcticle == 3)
      $pMonCadre = new CadrePresse("ML-13-04-2000", "MIDI LIBRE", 
                                   "13-04-2000");
   else if ($numArcticle == 4)
      $pMonCadre = new CadrePresse("ML-12-12-2000", "MIDI LIBRE", 
                                   "12-12-2000");
   else if ($numArcticle == 5)
      $pMonCadre = new CadrePresse("CMF-aout-2004", "cmf","aout 2004");
   else if ($numArcticle == 6)
      $pMonCadre = new CadrePresse("CMF-Juin-2004", "cmf","Juin 2004");  
   else if ($numArcticle == 7)
      $pMonCadre = new CadrePresse("ML-mai-2004", "MIDI LIBRE", 
                                   "ML-mai-2004"); 
   else if ($numArcticle == 8)
      $pMonCadre = new CadrePresse("ML-10-12-2005", "MIDI LIBRE", 
                                   "ML-10-12-2005"); 
   else if ($numArcticle == 9)
      $pMonCadre = new CadrePresse("ML-19-06-2007", "MIDI LIBRE", 
                                   "19-06-2007");  
   else if ($numArcticle ==10)
      $pMonCadre = new CadrePresse("ML-07-12-2007", "MIDI LIBRE", 
                                   "07-12-2007");  
/* Sinon on affiche tous les articles disponibles */
   else
      $pMonCadre = new CadreFichier("presse.neodoc");
   /* Puis on affiche le cadre */
   $pMonCadre->Affiche();
}

function print_La_Revue()
{
   $pMonCadre = new CadreBD("cadre_la_Revue") ;
   $pMonCadre->Affiche();
}

function print_albums_photos ($page, $pAlb, $NumImg)
{
   global $KeyAdmAlbm, $AlbumRoot;
   
   $SiteRoot = dirname ($GLOBALS['HTTP_SERVER_VARS']['SCRIPT_FILENAME']);
   /* Create the object */
   $pAlbum = new AlbumPhotos ($page, $SiteRoot, $AlbumRoot, $pAlb);
   
   $pMonCadre = new  Cadre("", "", $pAlbum->getDate());
   if (($pAlb == "") || ($pAlb == "racine")) {
      $pMonCadre->setTitre ("Album de l'Harmonie de Montpellier-Jacou");
      $pMonCadre->setDate (date ("d/m/Y "));
   }
   else {
      $pMonCadre->setTitre ($pAlbum->getTitre ());
      $pMonCadre->setDate ($pAlbum->getDate ());
   }
   $pMonCadre->affiche_CadreHaut (true);
   if ($pAlb == "")
      $pAlb="racine";
   
   if ($NumImg != "")
      $pAlbum->AfficheImage ($pAlb, $NumImg);
   else {
      if (($pAlb == "") || ($pAlb == "racine"))
         $pAlbum->AfficheAbumRacine ($pAlb);
      else
         $pAlbum->AfficheAbum ($pAlb);
   }
   // puis on ferme le cadre
   $pMonCadre->affiche_CadreBas (true);
}

/* Obsolete function to print the albums photos . need to be removed 
   when the new one worls fine. */
function print_album_photo($pAlb, $NumImg)
{
   include ("./Scripts/album.php");
   $monAlbum = new Album ("./album");
   $pMonCadre = new  Cadre("", "", $monAlbum->getDate());
   if (($pAlb == "") || ($pAlb == "racine")) {
      $pMonCadre->setTitre("Album de l'Harmonie de Montpellier-Jacou");
      $pMonCadre->setDate(date("d/m/Y "));
   }
   else {
      $monAlbum->ScanAllAbum($pAlb);
      $pMonCadre->setTitre( $monAlbum->getTitre());
      $pMonCadre->setDate( $monAlbum->getDate());
   }
   $pMonCadre->affiche_CadreHaut(true);
   if ($pAlb == "")
      $pAlb="racine";
   
   if ($NumImg != "")
      $monAlbum->AfficheImage($pAlb, $NumImg);
   else
      $monAlbum->AfficheAbum($pAlb);
   
   // puis on ferme le cadre
   $pMonCadre->affiche_CadreBas(true);
} // fin function print_album_photo($pAlb)


function print_Livre_OR($page)
{
   /*
    * Le livre d'or est constitu� de 3 cadres : un cadre contenant  
    * le nombre de message et un lien vers le formulaire pour remplir le
    * livre d'or 
    * Un cadre contenant tous les messages du livre d'or
    * et enfin un cadre contenant le formulaire pour rajouter un texte 
    * au livre d'or.
    */
   $pMonLivredor = new Livredor();
   
   $pMonLivredor->RecuperePage($page, false);
   /* Puis on affiche le r�sultat dans un cadre */
   if ($page == "")
      $page = 0;
   $page++;
   $pCadreduHaut = new Cadre("<center>Livre d'or de l'Harmonie de ".
                              "montpellier-Jacou</center>", "" ,
                              date("d/m/Y "));
   $pCadreduHaut->affiche_CadreHaut(true);
   echo "<br><center>\n";
   $pMonLivredor->GenereEntete($page, false);
   echo "</center>\n";
   $pCadreduHaut->affiche_CadreBas(true);
   echo "<br><br>";
   $pCadreTxtLivre = new Cadre("Livre d'or page : $page", "", 
                                date("d/m/Y "));
   $pCadreTxtLivre->affiche_CadreHaut(true);
   echo "<center>\n";
   $pMonLivredor->AfficheTexte();
   echo "</center>\n";
   $pCadreTxtLivre->affiche_CadreBas(true);
   echo "<br><br>";

   $pCadreInscription = new Cadre("Signer le Livre d'Or", "", date("d/m/Y "));
   $pCadreInscription->affiche_CadreHaut(true);
   echo "<center>\n";
   $pMonLivredor->GenereFormulaireInscription();
   echo "</center>\n";
   $pCadreInscription->affiche_CadreBas(true);

}

function print_Valide_Livre_OR($pseudo, $email, $pays, $message, $date)
{
   include ("./Scripts/Livredor.php");
   
   global $racine, $page_index;
   
   $pMonLivredor = new Livredor();
   
   if (($pseudo == "") || ($message == "")) {
      $donnee ="<br><br>
                <table><tr>
                  <td>
                    <img src=$racine/Imgs/panneau.gif alt=panneau >
                  </td>
                  <td>
                    <b> Vous devez au moins indiquer un pseudo et taper un 
                        message pour signer le livre d'or! </b>
                    <br><br>
                       <center>
                        <a href=\"$page_index?page=livre_or\">
                               Retour � la liste des messages</a></center>
                  </td>
                </tr> </table>";
      echo "<br><br>";
      $pMonCadre = new Cadre("Erreur  !", $donnee, date("d/m/Y H:h:i"));
      $pMonCadre->Affiche();
      echo "<br><br>";
      $pCadreInscription = new Cadre("Signer le Livre d'Or", "",
                                     date("d/m/Y "));
      $pCadreInscription->affiche_CadreHaut(true);
      echo "<center>\n";
      $pMonLivredor->GenereFormulaireInscription();
      echo "</center>\n";
      $pCadreInscription->affiche_CadreBas(true);
   }
   else {
      $pMonLivredor->ValideInscriptionLivre($pseudo, $email, $pays, 
                                            $message, $date);
      print_Livre_OR($page);
   }
}

function print_Membres($Page, $numPage)
{
   global $racine;

   if ($Page == "") {
      if ($numPage == "") {
         $donnee = "
         <table width=\"50%\" bgcolor=\"#5a69a4\" cellpadding=\"0\"  
               cellspacing=\"0\" border=\"0\"><tr><td>
               <table width=\"100%\" cellpadding=\"3\" cellspacing=\"2\"
                  border=\"0\" >
                  <tr>
                  <td bgcolor=\"#5b8cc1\" align=\"left\">
                     <font  color=\"white\" size=\"2\">
                         <b> voyage &agrave; Taninges </b></font><br></td>
         </tr></table></td></tr></table><br>

         <ul>
            <li> <a href=\"$page_index?page=membres&Pp=sam_tann&numP=1\"> 
                 Journ�e de Samedi</a>
            <li> <a href=\"$page_index?page=membres&Pp=dim_tann&numP=1\"> 
                 Journ�e de Dimanche</a>
         </ul> 
         <br><br>
         <table width=\"50%\" bgcolor=\"#5a69a4\" cellpadding=\"0\"  
               cellspacing=\"0\" border=\"0\"><tr><td>
               <table width=\"100%\" cellpadding=\"3\" cellspacing=\"2\"
                  border=\"0\" >
                  <tr>
                  <td bgcolor=\"#5b8cc1\" align=\"left\">
                     <font  color=\"white\" size=\"2\">
                         <b> Documents (tests)</b></font><br></td>
         </tr></table></td></tr></table><br>
           <ul>
           <!--<li><a href=\"$page_index?page=membres&Pp=Repertoire_pdf\"> -->
           <li><a href=\"$racine/fpdf/repertoire.php\" target='_blank'>
               Liste des mocreaux de l'Harmonie </a>
           </ul>
         <br><br>";

         $pMonCadre = new Cadre("Espace Membre", $donnee, date("d/m/Y H:h:i"));
         $pMonCadre->Affiche();
      }
   }
   elseif (($Page == "sam_tann") || ($Page == "dim_tann")) {
      $pMonCadre = new Cadre("Voyage &agrave; Taninges", $donnee,
                             date("d/m/Y H:h:i"));
      $pMonCadre->SetBgColor("#ffffff");
      $pMonCadre->affiche_CadreHaut(true);
      if ($Page == "sam_tann")
         $szChemin = "./membre/02-03-2002-TANNINGES/samedi_tann$numPage.html";
      else if ($Page == "dim_tann")
         $szChemin = "./membre/02-03-2002-TANNINGES/".
            "dimanche_tann$numPage.html";
      echo "<center>\n";
      include ("$szChemin");
      echo "</center>\n";
      $pMonCadre->affiche_CadreBas(true);
   }
   elseif ($Page == "Repertoire_pdf") {
/*
      include('fpdf.php');
 
      $pdf=new FPDF();
      $pdf->Open();
      $pdf->AddPage();
      $pdf->SetFont('Arial','B',16);
      $pdf->Cell(40,10,'Hello World !');
      $pdf->Output();
*/
   }
}


?>
